Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## demos.atomicblocks
Class SDFLimitedIntegrator

    java.lang.Object
      modhelxs.abstractsemantics.NamedEntity
          modhelxs.abstractsemantics.ObservableEntity
              modhelxs.abstractsemantics.Block
                  modhelxs.state_management.ManagedBlock
                      modhelxs.state_management.PlainManagedBlock
                          demos.atomicblocks.SDFLimitedIntegrator

All Implemented Interfaces:
  Block, NamedEntity, ObservableEntity

    public class SDFLimitedIntegrator

extends PlainManagedBlock

An SDFLimitedIntegrator is an integrator whose output is maintained between a lower_limit and an upper_limit (set by properties).

Author:
  boulange

Field Summary
`protected Parameter<java.lang.Double>` | `lower_limit`
`protected Attribute<java.lang.Double>` | `state_`
`protected Parameter<java.lang.Double>` | `upper_limit`

Constructor Summary
`SDFLimitedIntegrator(java.lang.String name, java.lang.Object... properties)`

Method Summary
`void` | `doSetup()` The setup behavior of the block.
`void` | `doUpdate()` The update behavior of the block.

Methods inherited from class modhelxs.state_management.PlainManagedBlock
`doEndOfSnapshot, doPreSetup, doReset, doStartOfSnapshot`

Methods inherited from class modhelxs.state_management.ManagedBlock
`emitObservationRequests, endOfSnapshot, endOfUpdate, initFromProperties, prep, reset, setup, startOfSnapshot, startOfUpdate, update, validate, wasUpdated, wrapup`

Methods inherited from class modhelxs.abstractsemantics.Block
`connect, connectFromInterfaceBlock, connectFromModel, connectFromRegularBlock, getEngine, getInputPins, getMoC, getOutputPins, getParent, getSolver, getTimeOfRequest, hasObservationRequest, sanityCheck, setParent`

Methods inherited from class modhelxs.abstractsemantics.ObservableEntity
`addPin, getInterface, getPin`

Methods inherited from class modhelxs.abstractsemantics.NamedEntity
`getName, getProperties, getProperty, hasProperty, removeProperty, setName, setProperties, setProperty, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface modhelxs.ecore.ObservableEntity
`getInterface`

Methods inherited from interface modhelxs.ecore.NamedEntity
`getName, getProperties, setName`

Field Detail

### state_

    protected Attribute<java.lang.Double> state_

### upper_limit

    protected Parameter<java.lang.Double> upper_limit

### lower_limit

    protected Parameter<java.lang.Double> lower_limit

Constructor Detail

### SDFLimitedIntegrator

    public SDFLimitedIntegrator(java.lang.String name,
                                java.lang.Object... properties)

Method Detail

### doSetup

    public void doSetup()

  Description copied from class: `ManagedBlock`
  The setup behavior of the block.

  Specified by:
    `doSetup` in class `ManagedBlock`

### doUpdate

    public void doUpdate()

  Description copied from class: `ManagedBlock`
  The update behavior of the block.

  Specified by:
    `doUpdate` in class `ManagedBlock`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD